unit frmObedienceScoreUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Grids;

type
  TfrmObedience = class(TForm)
    pnlTop: TPanel;
    imgLeft: TImage;
    imgRight: TImage;
    strgrScoreData: TStringGrid;
    Label1: TLabel;
    btnFinalScore: TButton;
    btnMostLenientJudge: TButton;
    procedure FormShow(Sender: TObject);
    procedure btnFinalScoreClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmObedience: TfrmObedience;
  arrObnceScores: Array[1..14,1..4] of Integer = (
  (8,5,5,6),
  (7,5,3,7),
  (8,3,7,6),
  (4,8,9,6),
  (4,5,9,7),
  (9,5,7,6),
  (6,5,4,6),
  (8,5,4,9),
  (6,4,5,6),
  (9,5,5,7),
  (7,8,3,6),
  (8,4,5,4),
  (4,6,4,6),
  (8,5,5,3));
  arrEntries: Array[1..14] of Integer = (73,74,30,42,16,53,56,67,71,9,8,55,75,11);
  arrJudges: Array[1..4] of String = ('Mrs Ellen','Mr Brown','Mr Nhlape','Miss Match');
  arrColTot : array[1..4] of integer = (0,0,0,0);

  R : Integer;
  C : Integer;

implementation

{$R *.dfm}

procedure TfrmObedience.btnFinalScoreClick(Sender: TObject);
var
  iSum, iFin : Integer;
begin
//**********3.2
end;

procedure TfrmObedience.FormShow(Sender: TObject);
begin
  // Code Here
//*********3.1


end;

procedure TfrmObedience.FormCreate(Sender: TObject);
begin
  //**********3.3
end;

end.
